Issue recurring - task #41

Exception while it tries to copy issues
2023-05-29 06:00 - sankethpb

Status: closed
Priority: support
Assignee: cryptogopher
Category:

Target version: 1.6

Redmine version: 5.0.x
Description

We get below exception when renew_all command is used. Kindly support to resolve this.
RAILS_ENV=production bundle exec rake redmine:issue_recurring:renew_all

Recurring issue Bug #93: Recurr

- creating recurrence at {:start=>Sat, 27 May 2023, :due=>nil}

...exception raised. Check output for errors. Either there is bug you may want to report or your db is corrupted.
rake aborted!

SystemStackError: stack level too deep
/usr/src/redmine/plugins/issue_recurring/lib/issue_recurring/issue_patch.rb:4:in “copy_from'
/ust/src/redmine/plugins/additional_tags/lib/additional_tags/patches/issue_patch.rb:114:in “copy_from_with_tags'
/ust/src/redmine/plugins/issue_recurring/lib/issue_recurring/issue_patch.rb:4:in “copy_from'
/usr/src/redmine/plugins/additional_tags/lib/additional_tags/patches/issue_patch.rb:114:in “copy_from_with_tags'
/usr/src/redmine/plugins/issue_recurring/lib/issue_recurring/issue_patch.rb:4:in “copy_from'

/usr/src/redmine/plugins/issue_recurring/lib/issue_recurring/issue_patch.rb:4:in “copy_from’
/usr/src/redmine/plugins/additional_tags/lib/additional_tags/patches/issue_patch.rb:114:in “copy_from_with_tags'
/usr/src/redmine/plugins/issue_recurring/lib/issue_recurring/issue_patch.rb:4:in “copy_from'
/ust/src/redmine/plugins/additional_tags/lib/additional_tags/patches/issue_patch.rb:114:in “copy_from_with_tags'
/usr/src/redmine/plugins/issue_recurring/lib/issue_recurring/issue_patch.rb:4:in “copy_from'
/ust/src/redmine/app/models/issue.rb:323:in “copy'
/usr/src/redmine/plugins/redmine_checklists/lib/redmine_checklists/patches/issue_patch.rb:93:in “copy_with_checklist'
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:387:in "block in create'
/usr/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/connection_adapters/abstract/database_statements.rb:320:in "block in
transaction'

/usr/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/connection_adapters/abstract/transaction.rb:319:in “block in
within_new_transaction’
/ust/local/bundle/gems/activesupport-6.1.7.2/lib/active_support/concurrency/load_interlock_aware_monitor.rb:26:in “block (2 levels)
in synchronize'

/usr/local/bundle/gems/activesupport-6.1.7.2/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in "handle_interrupt
/usr/local/bundle/gems/activesupport-6.1.7.2/lib/active_support/concurrency/load_interlock_aware_monitor.rb:25:in “block in
synchronize'

/usr/local/bundle/gems/activesupport-6.1.7.2/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in "handle_interrupt'
/usr/local/bundle/gems/activesupport-6.1.7.2/lib/active_support/concurrency/load_interlock_aware_monitor.rb:21:in “synchronize'
/ust/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/connection_adapters/abstract/transaction.rb:317:in
“within_new_transaction’
/ust/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/connection_adapters/abstract/database_statements.rb:320:in
“transaction’

/usr/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/transactions.rb:209:in “transaction’
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:379:in “create’
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:633:in "block (3 levels) in renew_all’
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:631:in “each’
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:631:in “block (2 levels) in renew_all’
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:629:in “each’
/ust/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:629:in “block in renew_all’
/usr/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/relation/delegation.rb:88:in “each'’
/usr/local/bundle/gems/activerecord-6.1.7.2/lib/active_record/relation/delegation.rb:88:in “each’
/usr/src/redmine/plugins/issue_recurring/app/models/issue_recurrence.rb:628:in “renew_all’
/usr/src/redmine/plugins/issue_recurring/lib/tasks/issue_recurring.rake:13:in “block (3 levels) in <top (required)>'
/usr/local/bin/bundle:25:in “load'

/usr/local/bin/bundle:25:in “<main>"'
Tasks: TOP => redmine:issue_recurring:renew_all
(See full trace by running task with --trace)

History

#1 - 2023-05-29 06:50 - sankethpb

Seems to be overall compatibility or alias issues in issues_recurring

https://github.com/AlphaNodes/additional_tags/issues/28

#2 - 2023-05-29 22:52 - cryptogopher

- Status changed from new to closed

This is a known problem with temporary workaround available here: #30#note-3. More information available here:
https://github.com/AlphaNodes/additional_tags/issues/9#issuecomment-778642718

Some plugins use outdated alias_method and unless they decide to upgrade - they remain incompatible with plugins using prepend + super (including
issue_recurring.

#3 - 2023-06-08 15:24 - admin
- Priority changed from bug to support

#4 - 2023-06-08 15:30 - admin

- Tracker changed from 3 to task
